| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iNullMeshState Struct Reference
[Mesh plugins, Mesh plugins]

This interface describes the API for the null mesh object. More...

`#include <imesh/nullmesh.h>`

Inheritance diagram for iNullMeshState:

[legend]
List of all members.

## Public Member Functions
virtual void | GetBoundingBox (csBox3 &box)=0
| Get the bounding box represented by this object.
virtual float | GetRadius () const =0
| Get the radius of the sphere represented by this object.
virtual void | SetBoundingBox (const csBox3 &box)=0
| Set the bounding box represented by this object.
virtual void | SetRadius (float radius)=0
| Set the radius of the sphere represented by this object.

## Detailed Description

This interface describes the API for the null mesh object.

Definition at line 39 of file nullmesh.h.

## Member Function Documentation

virtual void iNullMeshState::GetBoundingBox | ( | csBox3 & | box | ) | `[pure virtual]`

Get the bounding box represented by this object.

virtual float iNullMeshState::GetRadius | ( |  | ) | const`[pure virtual]`

Get the radius of the sphere represented by this object.

virtual void iNullMeshState::SetBoundingBox | ( | const csBox3 & | box | ) | `[pure virtual]`

Set the bounding box represented by this object.

If you call this function then the radius will be calculated based on this box.

virtual void iNullMeshState::SetRadius | ( | float | radius | ) | `[pure virtual]`

Set the radius of the sphere represented by this object.

If you call this function then the box will be calculated from the radius.

The documentation for this struct was generated from the following file:

- imesh/nullmesh.h